unofficial mirror of emacs-devel@gnu.org 
 help / color / mirror / code / Atom feed
From: Paul Eggert <eggert@cs.ucla.edu>
To: Angelo Graziosi <angelo.g0@libero.it>,
	John Wiegley <jwiegley@gmail.com>,  Eli Zaretskii <eliz@gnu.org>
Cc: emacs-devel@gnu.org
Subject: Re: Messages from autogen
Date: Thu, 7 Sep 2017 00:17:12 -0700	[thread overview]
Message-ID: <5d9199ce-1bee-10e6-5080-33c902d36542@cs.ucla.edu> (raw)
In-Reply-To: <2082246123.1003353.1504734023438@mail.libero.it>

[-- Attachment #1: Type: text/plain, Size: 437 bytes --]

Angelo Graziosi wrote:
> but I haven't a .git directory!

Yes, in that case the intent was to skip the 'git' stuff by default. I never 
test in an environment that lacks 'git' so I didn't run into the problem when 
hacking on autoconf.sh.

I installed the attached, which should fix the problem. Please give it a try 
(from the previous paragraph one can easily see that I have not tested that the 
patch actually fixes the problem :-).

[-- Attachment #2: 0001-autogen.sh-omit-bogus-chatter-if-no-.git.patch --]
[-- Type: text/x-patch, Size: 1482 bytes --]

From 1836e5616699d553eb73b66d1c77135cf8a8e1e9 Mon Sep 17 00:00:00 2001
From: Paul Eggert <eggert@cs.ucla.edu>
Date: Thu, 7 Sep 2017 00:10:05 -0700
Subject: [PATCH] autogen.sh: omit bogus chatter if no .git

Problem reported by Angelo Graziosi in:
http://lists.gnu.org/archive/html/emacs-devel/2017-09/msg00045.html
* autogen.sh (git_config): Do not execut 'git' if $do_git fails.
---
 autogen.sh | 26 +++++++++++++-------------
 1 file changed, 13 insertions(+), 13 deletions(-)

diff --git a/autogen.sh b/autogen.sh
index 0d00d56..b3c5f48 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -269,23 +269,23 @@ fi
 
 git_config ()
 {
+    $do_git || return
+
     name=$1
     value=$2
 
     ovalue=`git config --get "$name"` && test "$ovalue" = "$value" || {
-	if $do_git; then
-	    if $git_was_ok; then
-		echo 'Configuring local git repository...'
-		case $cp_options in
-		  --backup=*)
-		    config=$git_common_dir/config
-		    cp $cp_options --force -- "$config" "$config" || exit;;
-		esac
-	    fi
-	    echo "git config $name '$value'"
-	    git config "$name" "$value" || exit
-	fi
-	git_was_ok=false
+       if $git_was_ok; then
+	   echo 'Configuring local git repository...'
+	   case $cp_options in
+	       --backup=*)
+		   config=$git_common_dir/config
+		   cp $cp_options --force -- "$config" "$config" || exit;;
+	   esac
+       fi
+       echo "git config $name '$value'"
+       git config "$name" "$value" || exit
+       git_was_ok=false
     }
 }
 
-- 
2.7.4


  reply	other threads:[~2017-09-07  7:17 UTC|newest]

Thread overview: 10+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-09-05 10:44 Messages from autogen Angelo Graziosi
2017-09-05 12:29 ` John Wiegley
2017-09-05 14:55 ` Eli Zaretskii
2017-09-05 15:26   ` Angelo Graziosi
2017-09-05 16:21     ` Eli Zaretskii
2017-09-05 16:24       ` John Wiegley
2017-09-06 16:15         ` Eli Zaretskii
2017-09-06 21:40           ` Angelo Graziosi
2017-09-07  7:17             ` Paul Eggert [this message]
2017-09-07  9:23               ` Angelo Graziosi

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

  List information: https://www.gnu.org/software/emacs/

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=5d9199ce-1bee-10e6-5080-33c902d36542@cs.ucla.edu \
    --to=eggert@cs.ucla.edu \
    --cc=angelo.g0@libero.it \
    --cc=eliz@gnu.org \
    --cc=emacs-devel@gnu.org \
    --cc=jwiegley@gmail.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
Code repositories for project(s) associated with this public inbox

	https://git.savannah.gnu.org/cgit/emacs.git

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).